LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 08-19-2008, 03:07 PM   #1
Mr. Rey
LQ Newbie
 
Registered: Aug 2008
Posts: 11

Rep: Reputation: 0
Talking VirtualBox Error


Hello all. Thank you for your time.

I tried installing VirtualBox from within FC9 by running the command wget http://www.virtualbox.org/download/1...ra8-1.i586.rpm && sudo rpm -ivh VirtualBox-1.5.4_27034_fedora8-1.i586.rpm and go the error below:

error: Failed dependencies:
libICE.so.6 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libIDL-2.so.0 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libSDL-1.2.so.0 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libSM.so.6 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libX11.so.6 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libXcursor.so.1 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libXext.so.6 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libXt.so.6 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libasound.so.2 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libcrypto.so.6 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libglib-2.0.so.0 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libpng12.so.0 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libqt-mt.so.3 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586
libz.so.1 is needed by VirtualBox-1.5.4_27034_fedora8-1.i586


Does anyone know what I need to do Thanks again for your time!
 
Old 08-19-2008, 03:28 PM   #2
klearview
Member
 
Registered: Aug 2006
Location: London
Distribution: Debian, Kubuntu
Posts: 572

Rep: Reputation: 75
You've got unsatisfied dependencies - rpm is telling you what libraries need to be installed before you can install VirtualBox. I'm not familiar with Fedora but is VirtualBox not in repositories?
 
Old 08-19-2008, 04:02 PM   #3
Mr. Rey
LQ Newbie
 
Registered: Aug 2008
Posts: 11

Original Poster
Rep: Reputation: 0
I'm a newbee and not sure how to check the repositories. Can you please walk me through the process?
 
Old 08-19-2008, 05:26 PM   #4
axelfc
Member
 
Registered: Jan 2006
Distribution: ArchLinux
Posts: 175

Rep: Reputation: 34
You are using Fedora 9 and you are trying to download a Fedora 8 package..

Go here https://cds.sun.com/is-bin/INTERSHOP...-F@CDS-CDS_SMI and select Fedora 9 (i386 or AMD64, whichever you use) next install it with su -c 'rpm -hiv rpm_name_here'

You might take a look at those guides also..

Fedora 9 Installation Guide
How to install Linux on Windows using VirtualBox
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
VirtualBox: VERR_HOSTIF_INIT_FAILED error ubyt3m3 Slackware 5 08-01-2008 03:26 AM
VirtualBox 1.6.2 is very well done. owa Linux - Software 1 06-14-2008 10:57 PM
virtualbox j d Linux - Software 22 11-05-2007 02:16 AM
virtualbox j d Linux - Software 1 10-23-2007 08:57 PM
VirtualBox barn63 Fedora 2 10-03-2007 07:41 PM


All times are GMT -5. The time now is 06:45 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration